<?
	/** Strona, która wyświetla tabele dostępnych grup do wybranych zajęć wykładowcy
	* @author Dariusz Działak
	* @package XPWykladowca
	*/

	if ($sess->isLoged("Wykl"))
	if ($sess->get(W_Pgrupy)) {
		echo "<H2>Grupy do wybranych zajęć</H2>\n";
		$tab = new CTable(4, "ttable", "cellspacing=0");
		$tab->addField("Nr grupy", "thead", "width=15%");
		$tab->addField("oddane prace", "thead", "width=40%");
		$tab->addField("operator", "thead", "width=10%");
		$tab->addField("osób w grupie", "thead", "width=40%");
		$parity = "even";
		$form = new CForm();
		foreach($sess->get(W_Pgrupy) as $key => $value){
//			$tab->addField("$key", "T$parity");

			$link= new CLink("W_oddane_prace", "W_oddane_prace");
			$link->addParam(grupa, $key);
			$tab->addField($link->get($key), "T$parity");

//			$tab->addField($value[1], $parity);
			$link= new CLink("W_oddane_prace", "W_oddane_prace");
			$link->addParam(grupa, $key);
			$tab->addField($link->get($value[1]), $parity);

			if ($value[2]=='T') $state="checked"; else $state="";
			$tab->addField($form->inputText($key, "checkbox",   $state ), "T$parity");
			$tab->addField($value[3], $parity);
			if ($parity=="even") $parity="odd";
			else $parity="even";
		}
		$tab->addField($form->xpage("W_przedm"));
		$tab->addField($form->xexepage("W_zmien_operatora"));
		$tab->addField($form->inputText(submit, submit, "value='zapisz zmiany'"));
		$chang = $sess->get(w_changes);
		$sess->del(w_changes);
		if (!empty($chang))  $tab->addField("zmian: $chang", tymcio);
		$tab->close();
		$form->close();
		$link = new CLink("W_pokaz_plagiaty", "W_pobierz_plagiaty");
		echo $link->get("<p align='right'>Pokaż plagiaty dotyczące przedmiotu</p>");
	} else
		echo "<H2> Nie znaleziono grup przypisanych do wybranych zajęć </H2>\n";

?>
